For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceSDKs
DocsAPI ReferenceSDKs
  • Overview
    • API reference
  • Mesh API
      • GETList Templates
      • POSTCreate Template
      • GETGet Template
      • PATCHUpdate Template
      • DELDelete Template
LogoLogo
Mesh APITemplates

Get Template

||View as Markdown|
GET
https://api.meshapi.ai/v1/templates/:template_id
GET
/v1/templates/:template_id
$curl https://api.meshapi.ai/v1/templates/template_id \
> -H "Authorization: Bearer <token>"
1{
2 "id": "string",
3 "name": "string",
4 "owner": "string",
5 "is_global": true,
6 "description": "string",
7 "system": "string",
8 "messages": [
9 {}
10 ],
11 "model": "string",
12 "params": {},
13 "variables": [
14 "string"
15 ],
16 "created_at": "string",
17 "updated_at": "string"
18}
Get a single template by UUID. Must belong to the caller's owner.
Was this page helpful?
Previous

Create Template

Next

Update Template

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

template_idstringRequired

Response

Successful Response
idstring
namestring
ownerstring or null
is_globalboolean
descriptionstring or null
systemstring or null
messageslist of maps from strings to any or null
modelstring or null
paramsmap from strings to any or null
variableslist of strings or null
created_atstring
updated_atstring

Errors

422
Unprocessable Entity Error